# reqman

`api` — backend application

`build` — build scripts, docker/docker-compose

### How to run

#### Development mode

`docker-compose -f build/docker-compose-dev.yml up`

will run only services needed for development like PostgreSQL, Redis etc

`sudo docker-compose -f build/docker-compose-api.yml up`

will run all needed services and API (backend application)
then connect to the docker container (the current name of container is "build_api_reqman_1") to create the super user

`sudo docker exec -it build_api_reqman_1 /bin/bash `


Problem with Fuseki, need to run:

    docker exec -it fuseki bash

    :/jena-fuseki# apt-get update
    :/jena-fuseki# apt-get install -y procps
    :/jena-fuseki# exit
